
Redmine - Feature #38541

Automatic deletion of unactivated accounts

2023-05-12 13:49 - Hendrik Jaeger

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi

in the context of #38511 I noticed that even after one week my unactivated account @henk_test was not deleted but still waited for

me to click the confirmation link.

I see a similar issue with my own redmine instance where registrations require administrator approval: I have to delete a lot of

accounts registered by bots.

It would be great to have redmine expire unconfirmed/unactivated accounts after a configurable amount of time.

Related issues:

Is duplicate of Redmine - Feature #30998: Add an rake task to prune registere... Closed

History

#1 - 2023-05-13 09:39 - Go MAEDA

- Category set to Accounts / authentication

- Status changed from New to Closed

- Resolution set to Duplicate

You can delete users not activated for 30 days after registration by running the following command on your Redmine server. This feature was

implemented in Redmine 5.0.0 (#30998).

bin/rails redmine:users:prune RAILS_ENV=production

#2 - 2023-05-13 09:40 - Go MAEDA

- Is duplicate of Feature #30998: Add an rake task to prune registered users after a certain number of days added

#3 - 2023-05-14 14:04 - Hendrik Jaeger

Go MAEDA wrote in #note-1:

You can delete users not activated for 30 days after registration by running the following command on your Redmine server. This feature was

implemented in Redmine 5.0.0 (#30998).

[...]

 cool, thank you!
